Kerbal Space Program - Bug #9464

Flags on Mkl cockpit allow you to see through the cockpit
04/24/2016 10:55 AM - Katateochi

Status: Duplicate Start date: 04/24/2016
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

In build 1230 on win7 x64:
If you mouse over (or select the MKI cockpit in action group edit mode) the default flag becomes transparent allowing you to see
through the cockpit

Steps to repeat;

- create new craft in SPH

- select MKI cockpit

- position camera side on put slightly angled back (see pic)
- mouse over the cockpit

result: you can see through the cockpit
e Does not seem to happen with command pods.
e is also apparent in flight
¢ have not tested with other flags - will update when | do.

build id = 01230
2016.04.19 at 19:58:54 CEST
Branch: master

Related issues:
Related to Kerbal Space Program - Bug #9329: Decal transparency and draw order Closed 04/19/2016

History

#1 - 04/24/2016 12:08 PM - Katateochi
- File KSP_x64 2016-04-24 13-05-51-91.jpg added
- File KSP_x64 2016-04-24 13-06-01-40.jpg added

¢ This also applies to the MKI inline and MKII inline cockpits. cannot make this happen with the Mkl|

e Only apparent on flags with transparency

e camera angle is a factor. when perpendicular to the cockpit you won't see it, camera needs slightly in front of the cockpit and looking back (as in
the above pic). however the reverse is the case for the MKII inline, then the camera needs to be slightly behind it looking forward.

In pics 2 and 3 the MKII inline is the root part. If you mouse over it while the camera is angled backwards (as in pic 2) the effect is visible on the
MKls, if the camera is angle forward (as in pic 3) and mouse of the the root, the effect is only visible on the MKII.

#2 - 04/24/2016 04:16 PM - sal_vager
- Related to Bug #9329: Decal transparency and draw order added

#3 - 04/24/2016 04:16 PM - sal_vager
- Status changed from New to Duplicate

- % Done changed from 0 to 100

Duplicate of #9329
https://bugs.kerbalspaceprogram.com/issues/9329
